diff --git a/pgadmin/dlg/dlgClasses.cpp b/pgadmin/dlg/dlgClasses.cpp
index 2c764b1..182bbe4 100644
--- a/pgadmin/dlg/dlgClasses.cpp
+++ b/pgadmin/dlg/dlgClasses.cpp
@@ -193,6 +193,12 @@ void pgDialog::OnClose(wxCloseEvent &event)
 
 void pgDialog::OnCancel(wxCommandEvent &ev)
 {
+	if (btnOK->IsEnabled())
+	{
+		if (wxMessageBox(_("Are you sure you wish to close the dialogue without applying changes?"), _("Cancel?"), wxYES_NO) == wxNO)
+			return;
+	}
+
 	if (IsModal())
 		EndModal(wxID_CANCEL);
 	else
